Page MenuHomePhabricator

Make app change button attributes depending on dirty state of store
Closed, ResolvedPublic

Description

Using the getter from T235054.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: extend e2e in terms of disabled
mediawiki/extensions/Wikibase : masterbridge: wire up initially disabled save button

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2019, 10:44 AM

I have to leave now, but the core of this task is pretty simple:

diff --git a/client/data-bridge/src/presentation/App.vue b/client/data-bridge/src/presentation/App.vue
index abb3f9225..828c208f4 100644
--- a/client/data-bridge/src/presentation/App.vue
+++ b/client/data-bridge/src/presentation/App.vue
@@ -7,6 +7,7 @@
                     type="primaryProgressive"
                     :squary="true"
                     @click="saveAndClose"
+                    :disabled="!isTargetPropertyModified"
                 />
             </template>
             <template v-slot:safeAction>
@@ -55,6 +56,9 @@ export default class App extends Vue {
     @Getter( 'applicationStatus' )
     public applicationStatus!: ApplicationStatus;
 
+    @Getter( 'isTargetPropertyModified' )
+    public isTargetPropertyModified!: boolean;
+
     public get isInit() {
         return this.applicationStatus === ApplicationStatus.READY;
     }

(Though isTargetPropertyModified will probably be renamed.) Feel free to steal the task from me and continue working on it.

Michael claimed this task.Oct 22 2019, 12:08 PM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-7 board.
Michael added a project: User-Michael.

Change 545292 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: wire up initially disabled save button

https://gerrit.wikimedia.org/r/545292

Change 545433 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: extend e2e in terms of disabled

https://gerrit.wikimedia.org/r/545433

Change 545292 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: wire up initially disabled save button

https://gerrit.wikimedia.org/r/545292

Change 545433 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: extend e2e in terms of disabled

https://gerrit.wikimedia.org/r/545433

Lucas_Werkmeister_WMDE closed this task as Resolved.Oct 23 2019, 1:05 PM
Lucas_Werkmeister_WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-8 board.